package de.twomartens.oparlservice.entity.dto;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.ToString;

@RequiredArgsConstructor
@Getter(onMethod_={@JsonValue})
@ToString
public enum OrganizationType {
    BODY("Gremium"),
    PARTY("Partei"),
    FACTION("Fraktion"),
    ADMINISTRATIVE_AREA("Verwaltungsbereich"),
    EXTERNAL_BODY("externes Gremium"),
    INSTITUTION("Institution"),
    OTHER("Sonstiges");

    private final String value;
}
